// #ifndef VUE3
import Vue from 'vue'
import App from './App'

Vue.config.productionTip = false
// 注册请求器
import http_api from '@/common/vmeitime-http/'
import Config from 'common/Config.js'
Vue.prototype.baseUrl = Config.baseUrl
Vue.prototype.$api = http_api
App.mpType = 'app'
import debounce  from "@/static/js/preventReClick.js";

import uView from '@/uni_modules/uview-ui'

Vue.prototype.$debounce = debounce;

Vue.use(uView)
const app = new Vue({
	...App
})
app.$mount()





// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
import App from './App.vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
